<?php
//require_once(dirname(dirname(__FILE__))."/funcoes.php");
//protegeArquivo(basename(__FILE__));
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);

//require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
//$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
 //$vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacao($amostraLong); //deletar esta linha doidassa
 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
 $limiteOESP=sizeof($vetorRXOESP)-2;
 $limiteSILV=sizeof($vetorRXSILV)-2;
 $limiteNOCT=sizeof($vetorRXNOCT)-2;
 $limiteNOCP=sizeof($vetorRXNOCP)-2;
 $formato=$vetorRaioX[192];
 $colunasString=substr($formato,0,1);
 if($colunasString=="1"):
   $colunas=16; 
 else:
   $colunas=1* $colunasString;   
 endif;  

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 for($registro=$inicio;$registro<=$final;$registro++):
             $amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);			

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
   
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				     $cota3=55;//pureza era 53
				 	 $cota4=87;//ero 85
				 	 $cota5=130;//inicio de germinacao
					 $cota7=159; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=262;
				     $cotaFinal=272;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
					 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
					 $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
					 $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens


			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();



					 $pdf->SetFont('Arial','BU',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(145,5,'FICHA DE ANALISE DE SEMENTES',0,1,'L');//lab nome
					 $pdf->SetFont('Arial','',9);
     				 $pdf->setXY($posicaoCab1,10);
					 $pdf->Cell(145,4,utf8_decode($vetorLaboratorio[0]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,4,utf8_decode($vetorLaboratorio[1]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,4,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,4,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,4,utf8_decode($vetorLaboratorio[4]),0,1,'L');
					 
					 //normas
					$vetorNormas=$objetocalculo->capturaNormas("Ficha","UFLA",$idLabo);
					$posicaoNorma=$margemEsquerda+155;
					$pdf->Rect($margemEsquerda+155,6,39,12);
						//$pdf->Rect($posicaoNorma,5,40,15);
					 $pdf->SetFont('Arial','',9);
						$pdf->setXY($posicaoNorma,6);  $pdf->Cell(40,4,utf8_decode("Doc:".$vetorNormas[1]),0,0);
						$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Nº Revisão:".$vetorNormas[2]),0,0);
						$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Data revisão:".$vetorNormas[3]),0,0);
					 $pdf->SetFont('Arial','',10);

					 
					 
					 
				     ################IDENTIFICACAO DA AMOSTRA##################################################
				 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				         $largo1=95;           
				         $largo2=95;           
					 $pdf->SetXY($margemEsquerda,$cota2);
				  	 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell($largo1,4,'Amostra:'.$vetorCapturaGeral[1],0,0,'L'); //imprime a amostra
					 //aqui inverte a data
					 $data=$vetorCapturaGeral[36];
					 $dia=substr($data,8,2);
					 $mes=substr($data,5,2);
					 $ano=substr($data,0,4);//ano   1951-02-28
					 $dataFinal=$dia."/".$mes."/".$ano;
					 $pdf->Cell($largo2,4,'Data Recebimento:'.$dataFinal,0,1,'L');//imprme a data
				     $pdf->SetFont('Arial','',8);
					 $alturaDasLinhas=3.5;
					 $pdf->Cell($largo1,$alturaDasLinhas,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');
					 $pdf->Cell($largo2,$alturaDasLinhas,'Cultivar:'.utf8_decode($vetorCapturaGeral[31]),0,1,'L');
					 $pdf->Cell($largo1,$alturaDasLinhas,'Safra:'.$vetorCapturaGeral[34],0,0,'L');
					 $pdf->Cell($largo2,$alturaDasLinhas,'Categoria:'.$vetorCapturaGeral[33],0,1,'L');
 					 $pdf->Cell($largo1,$alturaDasLinhas,'Remetente:'.$vetorCapturaGeral[42],0,0,'L');
					 $pdf->Cell(40,$alturaDasLinhas,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 $pdf->Cell(20,$alturaDasLinhas,utf8_decode('Função:'.$vetorCapturaGeral[43]),0,1,'L');
					 $pdf->Cell(194,$alturaDasLinhas,'Testes a realizar:'.$vetorCapturaGeral[44],0,1,'L');
					 //aqui faz uma firula para largar homogenizacao.
					 //$pdf->SetXY($margemEsquerda,$cota2);
				  	 $pdf->SetFont('Arial','',7);
					 $pdf->Line($margemEsquerda,$cota3-7,$margemDireita,$cota3-7);//
					 $dadosHomo=$vetorRaioX[193];
                     list($peso,$analista,$metodo,$data)= explode("@", $dadosHomo);

					 $pdf->Cell($largo1,3.5,utf8_decode('HOMOGENEIZAÇÃO: 	Peso:'.$peso.' g 	Analista:'. $analista),0,1,'L'); //imprime a amostra
					 $pdf->Cell($largo1,3.5,utf8_decode('Método:'.$metodo.'     Data:'.$data),0,1,'L'); //imprime a amostra
					 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);//
					 
 				     $pdf->SetFont('Arial','',8);
					 ###########cria setor de purezaaaa###############################################3
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=50; $posicaox2=63; $posicaox3=76; $posicaox4=88;
					 $posicaoMeio=97;
				     $altura=4.5;
					 $cota3a=$cota3+1*4.5;
					 $cota3b=$cota3+2*4.5;
					 $cota3c=$cota3+3*4.5;
					 $cota3d=$cota3+4*4.5;
					 $cota3e=$cota3+5*4.5;
					 $cota3f=$cota3+6*4.5;
					 $cota3g=$cota3+7*4.5;
					 $pdf->Line($margemEsquerda,$cota3a,$margemDireita,$cota3a);//
				         //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota3a,$posicao1,$cota4);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota3a,$posicao2,$cota4);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota3a,$posicao3,$cota4);//
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; $pdf->Line($posicao4,$cota3a,$posicao4,$cota4);//
				         //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota3b,$posicaoMeio,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3c,$posicaoMeio,$cota3c);//
					 $pdf->Line($margemEsquerda,$cota3d,$posicaoMeio,$cota3d);//
					 $pdf->Line($margemEsquerda,$cota3e,$posicaoMeio,$cota3e);//
					 $pdf->Line($margemEsquerda,$cota3f,$posicaoMeio,$cota3f);//
					 //$pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);//
					 $pdf->Line($posicaoMeio,$cota3a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				         //textos de pureza
					 $pdf->SetXY($margemEsquerda,$cota3); $pdf->Cell(194,4.5,utf8_decode('ANÁLISE DE PUREZA: (em ').$vetorCapturaGeral[91].'g)',1,1,'C',1);	
					 $pdf->SetXY($posicaox1,$cota3a);$pdf->Cell(30,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox2,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaox3,$cota3a);$pdf->Cell(7,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox4,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaoMeio,$cota3a);$pdf->Cell(95,4.5,'Natureza do Material Inerte',0,0,'C');	
					 $pdf->SetXY($margemEsquerda,$cota3b);
					 $pdf->Cell(37,4.5,'Amostra de trabalho',0,0,'L');	
					 $pdf->Cell(12,4.5,$vetorRaioX[21],0,0,'L');//peso amostra trabalho	
					 $pdf->Cell(12,4.5,'-',0,0,'L');//KKKKKKKKKKK
					 $pdf->SetXY($margemEsquerda,$cota3c);
					 $pdf->Cell(37,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->Cell(12,4.5,$vetorRaioX[22],0,0,'L');//peso SEMENTES PURAS
					 $pdf->Cell(12,4.5,$vetorRaioX[15],0,0,'L');//PERCENTAGEM PURAS
					 $pdf->SetXY($margemEsquerda,$cota3d);
					 $pdf->Cell(37,4.5,'Outras sementes',0,0,'L');	
					 $pdf->Cell(12,4.5,$vetorRaioX[23],0,0,'L');//peso OUTRAS SEMENTES
					 $pdf->Cell(12,4.5,$vetorRaioX[26],0,0,'L');//PERCENTAGEM OS
					 $pdf->SetXY($margemEsquerda,$cota3e);
					 $pdf->Cell(37,4.5,'Material inerte',0,0,'L');	
					 $pdf->Cell(12,4.5,$vetorRaioX[24],0,0,'L');//peso INERTE
					 $pdf->Cell(12,4.5,$vetorRaioX[25],0,0,'L');//PERCENTAGEM INERTE
					 $pdf->SetXY($margemEsquerda,$cota3f);
					 $pdf->Cell(37,4.5,'Peso final',0,0,'L');
     		         $pesoFinal=$vetorRaioX[23]+$vetorRaioX[24]+$vetorRaioX[22];//peso final(os+mi+pu)
					 $pdf->Cell(12,4.5,$pesoFinal,0,0,'L');//peso INERTE
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);$pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em').$pdf->vetorFicha[7].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4a);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em').$pdf->vetorFicha[8].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);
					 $pdf->cell($largura1,4.5,'SILVESTRES',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'OUTRAS ESP. CULTIVADAS',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'NOCIVAS',1,1,'C');	 
					 $pdf->setXY($posicao2,$cota4c);
					 $pdf->cell($largura1,4.5,'TOLERADAS',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'PROIBIDAS',1,1,'C');
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				         //tres linhas horizontais separando silvestres,nocivas e oesp          	
					 $pdf->Line($posicao1,$cota4c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$cota5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$cota5);
                     //contaminantes
				     $pdf->SetFont('Arial','I',7);

					 //imprime contaminantes silvestres
					 $contador=0;
					 for($i=1;$i<=$limiteSILV;$i++):
                        $contador+=4;
					    $pdf->setXY($margemEsquerda,$cota4b+$contador);
					    $pdf->cell($largura1-5,4.5,$vetorRXSILV[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXSILV[$i][1],0,0,'L');
                     endfor;

					 //imprime contaminantes oesp
					 $contador=0;
					 for($i=1;$i<=$limiteOESP;$i++):
                        $contador+=4;
					    $pdf->setXY($margemEsquerda+$largura1,$cota4b+$contador);
					    $pdf->cell($largura2-5,4.5,$vetorRXOESP[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXOESP[$i][1],0,0,'L');
                     endfor;
					 //imprime contaminantes noct
					 $contador=5;
					 for($i=1;$i<=$limiteNOCT;$i++):
                        $contador+=4;
					    $pdf->setXY($posicao2,$cota4b+$contador);
					    $pdf->cell($largura1-5,4.5,$vetorRXNOCT[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXNOCT[$i][1],0,0,'L');
                     endfor;
					 //imprime contaminantes nocp
					 $contador=5;
					 for($i=1;$i<=$limiteNOCP;$i++):
                        $contador+=4;
					    $pdf->setXY($posicao2+$largura1,$cota4b+$contador);
					    $pdf->cell($largura2-5,4.5,$vetorRXNOCP[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXNOCP[$i][1],0,0,'L');
                     endfor;

					 
					 
					 
					 
					 
				     ################inicio da parte de GERMINACAO########################################
				         $umQuarto=48.5;
				         $cota5a=$cota5+1*4.5;
				         $cota5b=$cota5+2*4.5;
				         $cota5c=$cota5+3*4.5;
				         $cota5d=$cota5+4*4.5;
				         $cota5e=$cota5+5*4.5;
				         $posicaoMeio=97; 
					 $pdf->setXY($margemEsquerda,$cota5);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(I)').$colunas,1,0,'C',1);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(II)'),1,0,'C',1);
		             $dataGeral=date("d/m/Y",strtotime($vetorRaioX[39]));	
                     //apaga todos campos se o analista esta em branco ou seja quando
					 // nao salvou leituras
					 $analista1=$vetorRaioX[40];
					 $tamanho=strlen($analista1);
					 if($tamanho<2):
						 $dataGeral="-O-";
						 $vetorRaioX[61]="-O-";//tratamento
						 $vetorRaioX[35]="-O-";//temperaturas
						 $vetorRaioX[36]="-O-";//substrato
						 $vetorRaioX[93]="-O-";//data
						 $analista1='-O-';
					 endif;		 
					 	 

					 $pdf->setXY($margemEsquerda,$cota5a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:'.$dataGeral,1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');


					 $pdf->setXY($margemEsquerda,$cota5b);
					 $pdf->cell($umQuarto,4.5,'Tratamento:'.$vetorRaioX[61],1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:'.$vetorRaioX[38],1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5c);
					 $pdf->cell($umQuarto,4.5,'Temperaturax:'.utf8_decode($vetorRaioX[35]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota5d);
					 $pdf->cell($umQuarto,4.5,'Substrato:'.utf8_decode($vetorRaioX[36]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5e);
					 $pdf->cell($umQuarto,4.5,'Analista:'.utf8_decode($analista1),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:'.$vetorRaioX[93],1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
					 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha horizontal abaixo da grade do teste pureza
				     $largo[1]=20;
					 $larguraMenor=8;
					 for($i=2;$i<=9;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+9]=$larguraMenor;
				     }		  
					 $largo[10]=20;
					 $vetor="";
					 $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";$vetor[1][6]="E";$vetor[1][7]="F";$vetor[1][8]="G";$vetor[1][9]="H";
					 $vetor[2][1]=$vetor[2][10]="Normais:";
					 $vetor[6][1]=$vetor[6][10]=utf8_decode("Soma");

					 $vetor[8][1]=$vetor[8][10]="Defeit.;";
					 $vetor[12][1]=$vetor[12][10]=utf8_decode("Soma");

					 $vetor[14][1]=$vetor[12][10]="Infec.";
					 $vetor[18][1]=$vetor[16][10]=utf8_decode("Soma");

					 $vetor[20][1]=$vetor[17][10]="Mortas";
					 $vetor[22][1]=$vetor[19][10]=utf8_decode("Soma");


					 $vetor[23][1]=$vetor[20][10]="Duras";
					 $vetor[25][1]=$vetor[22][10]="Dormentes";
					 
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 $colunasLimite=$colunas;  
					 if($colunas==16)$colunasLimite=8;
					 for($i=1;$i<=$colunasLimite;$i++)$finalHorizontal+=$largo[$i];
					 
					 $posicao=$margemEsquerda;
					 $pdf->SetLineWidth($fino);
					 $pdf->SetLineWidth($fino);
					 $colunasLocais=$colunasLimite+1;
					 $linhas=26;
					 
					 
				     //imprime a parte da esquerda
					 $larguraLinha=4;
					 $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
			             for($i=1;$i<=$colunasLocais;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$larguraLinha,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$larguraLinha;
				     }
					 
                     //impime a metade da direita
                     $margemEsquerda1=$margemEsquerda+97; 
				     $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda1,$linhaCalculada);
			             for($i=1;$i<=$colunasLimite+1;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$larguraLinha,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$larguraLinha;
				     }
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C',1);	
					 $pdf->SetXY($margemEsquerda1+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C',1);	
					 //imprime os separadores curtas abaixo da palavra[ media  ]
					 //primeiras duas linhas curtas
				     $cotaLinha1=$linhaCalculada+27;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //segundas linhas curtas
				     $cotaLinha1=$linhaCalculada+49.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //terceiras linhas curtas(antes de mortas)
				     $cotaLinha1=$linhaCalculada+72;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quartas linhas curtas
				     $cotaLinha1=$linhaCalculada+85.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quintas linhas curtas
				     $cotaLinha1=$linhaCalculada+94.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //sextas linhas curtas
				     $cotaLinha1=$linhaCalculada+103.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 
					########################rodape####################
				     $pdf->setXY($margemEsquerda,$cota8);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(100,5,utf8_decode('Outras determinações:'),0,1,'L');	 
				     $pdf->setXY($margemEsquerda,$cota8+5);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(40,4.5,utf8_decode('Responsável técnico:').utf8_decode($pdf->vetorTecnico[0]),0,1,'L');	

				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','B',7);
                     $reanLong=$vetorRaioX[62];
					 $pdf->cell(75,4,'SilasNet-UFLA',1,1,'L');	 
				 endif;
				 ////////////////COLEI DO TABAJARA///////////////////


//captura o conteudo do campo rea_lei 4 que tem as repeticoes e a base64_decode260917

$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong);
$cotaGE=159;

//era 157.5
//$v160[1][1]=$reanLong;
//$v160[15][4]=154;
$passo=4.1;
$vetorItens[1]='NORMAIS';
$vetorItens[2]='DEFORMADAS';
$vetorItens[3]='INFECIONADAS';
$vetorItens[4]='DURAS';
$vetorItens[5]='DORMENTES';
$vetorItens[6]='MORTAS';

for($iL=1;$iL<=22;$iL++):
  //aqui precisa um ajuste pois a ficha da ufla noa acompanha a ficha standart
  //SE É MENOS DE 16 COLUNASN ELE VAI MOSTRAR A SEGUNDA LEITURA A TERCEIRA TEC

  $cotaUfla=$iL;
  //vai trabalhar as normais
  $item="";
  if($iL<5)$item=$vetorItens[1];//NORMAIS
  if($iL>4 && $iL<9)$item=$vetorItens[2];//DEFORMADAS
  if($colunas<16 && $iL>8 && $iL<13)$item=$vetorItens[3];//INFECIONADAS no caso de ser abaixo de 16 colunas
  if($colunas==16 && $iL==9)$item=$vetorItens[3];//INFECIONADAS no caso de ser abaixo de 16 colunas pois tem o problema da co indode concatenado
  if($iL==14)$item=$vetorItens[4];//DURAS
  if($iL==15)$item=$vetorItens[5];//DORMENTES
  if($iL>=13 && $iL<=13)$item=$vetorItens[6];//MORTAS


//imprime so a primeira linha da matriz 
  if($item=="NORMAIS"):
      $linhaBase=1;
      $cotaGE=159;//era 157.5
	  $avancoYdosTotais=16;
   endif;
  
  
  if($item=="INFECIONADAS"):
      $linhaBase=9;
      $cotaGE=174;//era 157.5
	  $avancoYdosTotais=16;
   endif;

  if($item=="MORTAS"):
      $linhaBase=13;
      $cotaGE=182;//era 157.5
	  $avancoYdosTotais=8;
  endif;
  if($item=="DEFORMADAS"):
      $linhaBase=5;
      $cotaGE=166;//era 157.5
	  $avancoYdosTotais=16;
   endif;
  if($item=="DURAS"):
      $linhaBase=14;
      $cotaGE=190;//era 157.5
	  //$avancoYdosTotais=16; //NAO TEM LINHA DE TOTAIS EM DURAS
   endif;
  if($item=="DORMENTES"):
      $linhaBase=15;
      $cotaGE=194;//era 157.5
	  //$avancoYdosTotais=16; //NAO TEM LINHA DE TOTAIS EM DORMENTES
  endif;

      $cotaLimitante=270;
      $cotaUfla=$iL;
	  $ycalculado=$cotaGE+$cotaUfla*$passo;
	  if($ycalculado>$cotaLimitante)$ycalculado=$cotaLimitante; //gato
      $pdf->setXY(30,$ycalculado);
	  $cotaBase=$cotaGE+$cotaUfla*$passo;
      $posicao=22;
	  $somaPares=0;





//padrao para todos os itens normais, anormais etcccccccc
	  for($jc=1;$jc<=$colunas;$jc++):
          if($colunas<16):
		     // $pdf->Cell(8,4.5,'y='.$ycalculado.$vetorLeiturasGerminacao[$iL][$jc],0,0,'C');
		      $pdf->Cell(8,4.5,''.$vetorLeiturasGerminacao[$iL][$jc],0,0,'C');
		  else://SE FOR 16 COLUNAS VAI IMPRIMRI EMBAIXO O SEGUNDO ITEM E ASSIM SUCESSIVMANENTE
              if($iL==$linhaBase)://com 16 colunas ele so tras a primeira linha ou seja a primeira leitura que é a linha base
	              //se for 16 colunas coloca embaixo
	              if($jc%2 ==0):
	                  //$posicao+=8; 
                 	  $contadorDeColunas++;//so vai ate 8 pois soma nas pares 2,4,6,8,10,12 etc
					  
			          $pdf->setXY($posicao,$cotaGE+$cotaUfla*$passo+$avancoYdosTotais);
					  $somaPares+=$vetorLeiturasGerminacao[$iL][$jc];//soma o priemri com o segundo
					  if($item!='DURAS' && $item!='DORMENTES'):
				          $pdf->Cell(8,4.5,''.$somaPares,0,0,'C');//imporiem tottais exceto em duras e dormentes
					  endif;	  
				      //$pdf->Cell(8,4.5,'ç'.$colunas,0,0,'C');//imporiem tottais
					  $somaPares=0;//despeja e zera em seguida
			          $pdf->setXY($posicao,$cotaBase+4);
	              else:
					  $somaPares+=$vetorLeiturasGerminacao[$iL][$jc];//pega o primeri itm do par
	                  $posicao+=8;  //adianta 8 milimetros 
			          $pdf->setXY($posicao,$cotaGE+$cotaUfla*$passo);
			      endif;
			      $pdf->Cell(8,4.5,''.$vetorLeiturasGerminacao[$iL][$jc],0,0,'C');
              endif;		  
		  endif;	  
	  endfor;



//imprime os totais SOMENTE SE  FOR 4  OU 8 COLUNAS
if($colunas<16):
	for($jc=1;$jc<=$colunas;$jc++):
	  $x=22; 
	  if($item=="NORMAIS"):
	    $x1=$x+8*$jc; 
		$pdf->setXY($x1,$cotaGE+5*$passo);
	    $pdf->Cell(8,4.5,''.$vetorLeiturasGerminacao[25][$jc],0,0,'C');
	  endif;  
	  if($item=="DEFORMADAS"):
	    $x1=$x+8*$jc; 
	    $pdf->setXY($x1,$cotaGE+9*$passo);
 	    $pdf->Cell(8,4.5,''.$vetorLeiturasGerminacao[26][$jc],0,0,'C');
	  endif;  
	  if($item=="INFECIONADAS"):
	     $x1=$x+8*$jc; 
	     $pdf->setXY($x1,$cotaGE+13*$passo);
	     $pdf->Cell(8,4.5,''.$vetorLeiturasGerminacao[27][$jc],0,0,'C');
	  endif;  

	  if($item=="MORTAS"):
	    $x1=$x+8*$jc; 
	    $pdf->setXY($x1,$cotaGE+15*$passo);
	    $pdf->Cell(8,4.5,''.$vetorLeiturasGerminacao[30][$jc],0,0,'C');
	  endif;  
      //dura e dormentes nao tem soma
    endfor;  //faz o for do totais
  endif;//so impriem totais se for <16 colunas
endfor;//for da 23 linhas
//ipriem as percentagens
$mzx=15;
$mzy=0;
     	$pdf->setXY($mzx+84,$mzy+170); $pdf->Cell(30,5,$vetorRaioX[14],0,0,'L');//normais
    	$pdf->setXY($mzx+84,$mzy+190); $pdf->Cell(30,5,$vetorRaioX[64]-$vetorRaioX[99],0,0,'L');//DEF= ANOR-INFE
    	$pdf->setXY($mzx+84,$mzy+210); $pdf->Cell(30,5,$vetorRaioX[99],0,0,'L');//INFECIONADAS
    	$pdf->setXY($mzx+84,$mzy+240); $pdf->Cell(30,5,$vetorRaioX[65],0,0,'L');//mortas
    	$pdf->setXY($mzx+84,$mzy+248); $pdf->Cell(30,5,$vetorRaioX[66],0,0,'L');//duras 
    	$pdf->setXY($mzx+84,$mzy+255); $pdf->Cell(30,5,$vetorRaioX[67],0,0,'L');// dormentes
		


             endwhile; //este while encerra a colecao de amostras   



			 
			 
			 
			 
			 
			endfor;//fecha o loop de amostras segundo um registro 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
